Subject: Re: [PATCH 1/2] fsck_commit_buffer(): do not special case the last validation

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Apr 2016 08:06:30 -0700

Johannes Schindelin <[email-masked]> writes:

>> But that is a selfish code that declares it is the ultimate and
>> final form of the function, never to be enhanced later.  To allow
>> and invite future enhancements, make the last test follow the same
>> pattern.
>
> FWIW I agree with this reasoning. Sorry for leaving this to you to clean
> up.

Thanks. I often fall into the same trap, and I suspect everybody
does. After doing a large-ish change, it is easy to think that what
was just finished is the final one for quite some time to come,
without even realizing that I am being selfish.